#!/bin/sh
# Script to install Pinguino IDE version beta X 208 in Ubuntu 10.04.
# Raul Zanardo : zanardo19@hotmail.com
# Krister Perssson : krister.cacti@gmail.com 
# David Carmona (Update): dacarmo@ono.com 

echo ------------------- "Downloading Pinguino X IDE"

cd
wget http://pinguino32.googlecode.com/files/pinguino%20working%20version%20208%20linux.tar.bz2

echo ------------------- "Unpacking Files and remove the .tar file"

tar xjvf pinguino*.tar.bz2
rm pinguino*.tar.bz2
mv pinguino?w* pinguinoX.2

echo ------------------- "Checking for, and installing needed Packages."
echo ------------------- "This will take some time, please wait !"

sudo apt-get update > /dev/null
sudo apt-get install libusb-1.0-0 python-wxgtk2.8 python-usb

echo ------------------- "Creating Permissions"

cd pinguinoX.2

sudo cp extra/41-microchip.rules /etc/udev/rules.d/
sudo cp extra/26-microchip.rules /etc/udev/rules.d/

chmod a+x *.py
sudo groupadd microchip
sudo usermod -a -G microchip $USER
cd

echo ------------------- "Pinguino IDE installed!"


